Bug 176801 - [PATCH] x11-fonts/libXft: update to 2.3.1
Summary: [PATCH] x11-fonts/libXft: update to 2.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-10 01:20 UTC by Pierre Guinoiseau
Modified: 2013-03-20 06:00 UTC (History)
1 user (show)

See Also:


Attachments
libXft-2.3.1.patch (1.48 KB, patch)
2013-03-10 01:20 UTC, Pierre Guinoiseau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Guinoiseau 2013-03-10 01:20:00 UTC
- Update to 2.3.1
- xft-config is gone
- New header style

libXft 2.1.14 is 3 years old, and this version brings improvements to subpixel
LCD text rendering.

Port maintainer (gnome@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-03-10 01:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-03-20 05:49:13 UTC
Author: mezz
Date: Wed Mar 20 05:49:00 2013
New Revision: 314712
URL: http://svnweb.freebsd.org/changeset/ports/314712

Log:
  -Update to 2.3.1.
  -Update the header.
  
  In this version has removed the xft-config, but I have brought it back to
  avoid require test in the pointyhat-exp/tinderbox to see if it will break
  old ports that needs xft-config.
  
  PR:		ports/176801
  Submitted by:	Pierre Guinoiseau <pierre@guinoiseau.eu>

Added:
  head/x11-fonts/libXft/files/
  head/x11-fonts/libXft/files/xft-config.in   (contents, props changed)
Modified:
  head/x11-fonts/libXft/Makefile   (contents, props changed)
  head/x11-fonts/libXft/distinfo   (contents, props changed)
  head/x11-fonts/libXft/pkg-plist   (contents, props changed)

Modified: head/x11-fonts/libXft/Makefile
==============================================================================
--- head/x11-fonts/libXft/Makefile	Wed Mar 20 04:16:58 2013	(r314711)
+++ head/x11-fonts/libXft/Makefile	Wed Mar 20 05:49:00 2013	(r314712)
@@ -1,16 +1,12 @@
-# New ports collection makefile for:	Xft
-# Date created:		06 October 2002
-# Whom:			Joe Marcus Clarke <marcus@FreeBSD.org>
-#
+#Created by: Joe Marcus Clarke <marcus@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	libXft
-PORTVERSION=	2.1.14
+PORTVERSION=	2.3.1
 CATEGORIES=	x11-fonts
 
 MAINTAINER=	gnome@FreeBSD.org
-COMMENT=	A client-sided font API for X applications
+COMMENT=	Client-sided font API for X applications
 
 LIB_DEPENDS=	freetype.9:${PORTSDIR}/print/freetype2
 BUILD_DEPENDS=	fc-cache:${PORTSDIR}/x11-fonts/fontconfig
@@ -19,7 +15,18 @@ RUN_DEPENDS=	fc-cache:${PORTSDIR}/x11-fo
 XORG_CAT=	lib
 USE_XORG=	xproto:both xrender
 
-MAN1=		xft-config.1
 MAN3=		Xft.3
 
+post-extract:
+	@${CP} ${FILESDIR}/xft-config.in \
+		${WRKSRC}/xft-config.in
+
+post-patch:
+	@${REINPLACE_CMD} -e '/ac_config_files/s|xft\.pc|xft\.pc xft-config|' \
+	    	${WRKSRC}/configure
+
+post-install:
+	@${INSTALL_SCRIPT} ${WRKSRC}/xft-config \
+		${PREFIX}/bin/
+
 .include <bsd.port.mk>

Modified: head/x11-fonts/libXft/distinfo
==============================================================================
--- head/x11-fonts/libXft/distinfo	Wed Mar 20 04:16:58 2013	(r314711)
+++ head/x11-fonts/libXft/distinfo	Wed Mar 20 05:49:00 2013	(r314712)
@@ -1,2 +1,2 @@
-SHA256 (xorg/lib/libXft-2.1.14.tar.bz2) = 700e9d594b81cad3dfd5fac4a5cfd0c4cf7780c812507ef04eb40139ebf5175e
-SIZE (xorg/lib/libXft-2.1.14.tar.bz2) = 289068
+SHA256 (xorg/lib/libXft-2.3.1.tar.bz2) = 7fce32b92dcb7b2869bed567af2abc7bbad0d5d6fcf471b8a3e137964a31bbbd
+SIZE (xorg/lib/libXft-2.3.1.tar.bz2) = 311556

Added: head/x11-fonts/libXft/files/xft-config.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-fonts/libXft/files/xft-config.in	Wed Mar 20 05:49:00 2013	(r314712)
@@ -0,0 +1,100 @@
+#! /bin/sh
+
+prefix="@prefix@"
+exec_prefix="@exec_prefix@"
+libdir="@libdir@"
+includedir="@includedir@"
+version="@VERSION@"
+freetypelibs="@FREETYPE_LIBS@"
+freetypecflags="@FREETYPE_CFLAGS@"
+fontconfiglibs="@FONTCONFIG_LIBS@"
+fontconfigcflags="@FONTCONFIG_CFLAGS@"
+xrenderlibs="@XRENDER_LIBS@"
+xrendercflags="@XRENDER_CFLAGS@"
+
+usage()
+{
+  cat <<EOF
+Usage: xft-config [OPTIONS] [LIBRARIES]
+Options:
+ [--prefix[=DIR]]
+ [--exec-prefix[=DIR]]
+ [--version]
+ [--libs]
+ [--cflags]
+EOF
+  exit $1
+}
+
+if test $# -eq 0 ; then
+  usage 1 1>&2
+fi
+
+while test $# -gt 0 ; do
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case $1 in
+  --prefix=*)
+    prefix=$optarg
+    local_prefix=yes
+    ;;
+  --prefix)
+    echo_prefix=yes
+    ;;
+  --exec-prefix=*)
+    exec_prefix=$optarg
+    exec_prefix_set=yes
+    local_prefix=yes
+    ;;
+  --exec-prefix)
+    echo_exec_prefix=yes
+    ;;
+  --version)
+    echo $version
+    exit 0
+    ;;
+  --cflags)
+    echo_cflags=yes
+    ;;
+  --libs)
+    echo_libs=yes
+    ;;
+  *)
+    usage 1 1>&2
+    ;;
+  esac
+  shift
+done
+
+if test "$local_prefix" = "yes" ; then
+    if test "$exec_prefix_set" != "yes" ; then
+      exec_prefix=$prefix
+    fi
+fi
+
+if test "$echo_prefix" = "yes" ; then
+ echo $prefix
+fi
+
+if test "$echo_exec_prefix" = "yes" ; then
+ echo $exec_prefix
+fi
+
+if test "$echo_cflags" = "yes" ; then
+ cflags="-I${includedir} ${freetypecflags} ${fontconfigcflags} ${xrendercflags}"
+ echo $cflags
+fi
+
+if test "$echo_libs" = "yes" ; then
+ libs="-lXft -lX11 ${freetypelibs} ${fontconfiglibs} ${xrenderlibs}"
+ if test "${libdir}" != "/usr/lib" ; then
+  echo -L${libdir} $libs
+ else
+  echo $libs
+ fi
+fi
+
+# EOF

Modified: head/x11-fonts/libXft/pkg-plist
==============================================================================
--- head/x11-fonts/libXft/pkg-plist	Wed Mar 20 04:16:58 2013	(r314711)
+++ head/x11-fonts/libXft/pkg-plist	Wed Mar 20 05:49:00 2013	(r314712)
@@ -1,9 +1,9 @@
 bin/xft-config
 include/X11/Xft/Xft.h
 include/X11/Xft/XftCompat.h
-lib/libXft.so.2
-lib/libXft.so
-lib/libXft.la
 lib/libXft.a
+lib/libXft.la
+lib/libXft.so
+lib/libXft.so.2
 libdata/pkgconfig/xft.pc
 @dirrm include/X11/Xft
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jeremy Messenger freebsd_committer 2013-03-20 05:49:26 UTC
State Changed
From-To: open->closed

Three years?!? Amazing! Committed, thanks!